%define  upstream_name File_Iterator
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.3.4
Release:	%mkrel 5
Summary:	FilterIterator implementation that filters files based on a list of suffixes
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-channel-phpunit
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-channel-phpunit



%description
FilterIterator implementation that filters files based on a list of
suffixes.



%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_Iterator.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_Iterator.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/File_Iterator
fi

%files
%doc    docs/File_Iterator/ChangeLog.markdown
%doc    docs/File_Iterator/LICENSE
%doc    docs/File_Iterator/README.markdown
%{peardir}/File/Iterator.php
%{peardir}/File/Iterator/Factory.php
%{peardir}/File/Iterator/Autoload.php
%{peardir}/File/Iterator/Facade.php
%{xmldir}/File_Iterator.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.3.4-5.mga6
+ Revision: 937884
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-4.mga5
+ Revision: 748419
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-3.mga5
+ Revision: 687251
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.3.4-2.mga5
+ Revision: 545236
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 1.3.4-1.mga4
+ Revision: 500954
- upgrade to version 1.3.4

* Mon Jun 03 2013 spuhler <spuhler> 1.3.3-1.mga4
+ Revision: 436794
- upgrade to ver. 1.3.3

* Sun Jan 13 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 376138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 spuhler <spuhler> 1.3.1-1.mga2
+ Revision: 195158
- upgrade to 1.3.1

* Mon Nov 14 2011 spuhler <spuhler> 1.3.0-1.mga2
+ Revision: 167489
- upgrade to 1.3.0

* Mon Jul 18 2011 spuhler <spuhler> 1.2.6-2.mga2
+ Revision: 125723
- revamped spec to pear style and adding the md5 test

* Mon Jul 11 2011 spuhler <spuhler> 1.2.6-1.mga2
+ Revision: 122018
- imported package php-pear-File_Iterator

